Bug 505634 - Feature: allow async replication of queue state to be stopped (and ideally restarted) on live broker
Feature: allow async replication of queue state to be stopped (and ideally re...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Conway
MRG Quality Engineering
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 12:55 EDT by Gordon Sim
Modified: 2015-03-01 08:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-01 08:22:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2009-06-12 12:55:54 EDT
At present once a queue has been configured to generate events and the replicating event listener plugin has beenactivated there is no way to stop replication in a way that would allow it to be subsequently reactivated without stoppingthe broker instance.
Comment 1 Carl Trieloff 2009-06-30 10:24:20 EDT
Replication can be disabled by using an exchange configuration:

One simple option is to specify a --replication-exchange rather than a --replication-queue on the primary and then bind in a 'normal' queue (recommendation would be to use a fanout exchange).

To 'turn off' replication, you would then simply unbind the queue. Note however you would miss any further events. 


Note that a local broker or client can also be used to drain the queue for off-line recovery.
Comment 2 Justin Ross 2013-02-26 15:42:52 EST
Alan, does the new ha-based replication currently allow this?
Comment 3 Alan Conway 2013-02-27 14:31:32 EST
Not yet but it would be simple to add.
Comment 5 Alan Conway 2015-03-01 08:22:58 EST
The latest release has a new queue replication mechanism based on the new HA module, the old asnync replication is gone. Please open a new BZ if there are any issues/missing features with the new mechanism.

Note You need to log in before you can comment on or make changes to this bug.